%
% Berechnet die Gwschwindigkeit der Elektronen in Kupfer
% für eine Reihe von Radien und plottet dieses dann
% Eingaben sind Konstanten.
%
function speed_vs_radius
n=8.47e19*1e9;
I=1;
r=10.^[-7:0.1:-3];
v=[];
for rr = r
  v=[v e_v(n,I,pi*rr^ 2)];
end

loglog(r*1000,v*1000);
grid on;
xlabel("r/mm");
ylabel("v/(mm/s)");

end
