	% File: widerstand.m
	% Berechnung eines Widerstandes aus der Geometrie
	% rho: spezifischer Widerstand in Ohm*m
	% l: Länge des Drahtes in m (darf Vektor sein)
	% A: Querschnittsfläche in m^2 (darf Vektor sein)
	% wenn l und A vektoren sind, müssen sie gleiche Länge aufweisen
	% Aufruf:
	% widerstand(material("Kupfer").rho,1000,1.5e-6)
	function r=widerstand(rho,l,A)
	r=rho*l./A;
	end
